# Contributing to Myxer

Pull Requests are welcome and appreciated. I value any time you're willing to dedicate to Myxer. However, before you start, read through these guidelines to make sure that you're aware of the type of contributions the project requires. 

If you're looking to add a new feature, and you're unsure of whether or not it will be accepted, open an issue, and I'll get back to you as soon as possible.

## Before You Start

Make sure you've read through the codebase and understand each component's purpose before attempting to modify the application so that you don't break something when trying to add a new feature.

## Code Style

File names and variable names are `snake_case`'d, structs and traits are `PascalCase`. When at-all possible, leave JSDoc style comments above your functions and structs, with two newlines separating them from the previous code block and one separating them from the block they refer to. If something mandates an unclear solution, leave a comment behind for the contributors that come after.

## License

Read through the [License](https://github.com/Aurailus/Myxer/blob/master/LICENSE.md) before contributing. All contributions must be under the same license.
